#!/bin/sh

# Move statuses to acct dirs
# [statuses]
# |
# |---[acct]
# |   |
# |   |--- [status_id]
# |   |--- ...
# |...

json=$(cat)

for i in $ids; do
	status_id=$i
	acct=$(echo "$json" | jj "#[id=$i].account.acct")
	mkdir -m 711 -p "$main_basedir"/statuses/$instance/$acct
	if [ -n "$status_id" ]; then
		ln -s -r "$main_basedir"/all_statuses/$instance/$status_id "$main_basedir"/statuses/$instance/$acct/$status_id
		touch --reference "$main_basedir"/all_statuses/$instance/$status_id "$main_basedir"/statuses/$instance/$acct/$status_id
	fi
done

